Subject: Re: cygwin 1.1.2: undefined reference to `setlinebuf'
From: Earnie Boyd <[email-masked]>
To: Adam Schlegel <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 9 Jun 2000 09:58:05 -0700 (PDT)

--- Adam Schlegel <[email-masked]> wrote:
> 
> 
> On Fri, 9 Jun 2000, Earnie Boyd wrote:
> 
> > *IMPERITIVE* /usr/bin must be *first* in the list for PATH.
> > 
> This may be a stupid question, but why does /usr/bin have to be *first*?

Because, if any of us nice netizens are going to help debug a problem, we must
know that you have something standard to help debug.

> Is it not sufficient to have it somewhere near the front of your path, so
> that there is the possibility that certain programs can override the
> default ones. 

Yes, but don't expect adequate help from this list.

> For example, I like to maintain a ~/bin directory at the
> start of my path so that I can easily stress-test programs that I am
> building, without adding them to /usr/bin or /usr/local/bin. 

So, why can't you just add it to the end of PATH.  If your testing something
you're replacing I understand that you want the that bin first but how often do
you do that?

> Does this break something that I haven't noticed yet? 

Most likely.  It was the cause of another problem I justed moving /usr/bin to
the front of the path on and I didn't think that it could have been the
problem.  The reported fix was the moving of /usr/bin to the first item in the
list.

> Or is it just a bad habit that I should break as soon as possible?
> 

Yes, break the bad habit.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Photos -- now, 100 FREE prints!
http://photos.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]